--- title: "Create cluster" slug: "analytics-vpcsearchengine-cluster-createcluster" tags: ["Search Engine Service"] updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/analytics-vpcsearchengine-cluster-createcluster" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create cluster Available in VPC Create a search engine cluster. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/cluster/createSearchEngineCluster (Korea Region) | | POST | /api/sgn-v2/cluster/createSearchEngineCluster (Singapore Region) | | POST | /api/jpn-v2/cluster/createSearchEngineCluster (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `clusterName` | String | Required | Cluster name - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Special character "-" can't be used consecutively. | | `searchEngineVersionCode` | String | Required | Search engine version - See [Get version](/docs/en/analytics-vpcsearchengine-cluster-getsearchengineversionlist). | | `searchEngineDashboardPort` | String | Required | Dashboard port number - 1025-65534 - Unavailable numbers: 9090, 9200, 9300 | | `searchEngineUserName` | String | Required | Search engine admin account ID - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Special character "-" can't be used consecutively. | | `searchEngineUserPassword` | String | Required | Search engine admin account password - Enter 8 to 20 characters using a combination of English letters, numbers, and special characters. - Unusable special characters: ', ", `, ₩, /, &, space | | `softwareProductCode` | String | Required | Operating system type code - See [Get operating system type](/docs/en/analytics-vpcsearchengine-cluster-getosproductlist). | | `vpcNo` | Integer | Required | VPC number - See [Get VPC list](/docs/en/analytics-vpcsearchengine-cluster-getvpclist). | | `managerNodeSubnetNo` | Integer | Required | Manager node subnet number - See [Get subnet list](/docs/en/analytics-vpcsearchengine-cluster-getsubnetlist). | | `isDualManager` | Boolean | Optional | Manager node redundancy - `true` (default) \| `false` - `true`: redundant - `false`: no redundancy | | `managerNodeProductCode` | String | Required | Manager node server type code - See [Get server type](/docs/en/analytics-vpcsearchengine-cluster-getnodeproductlist). | | `isMasterOnlyNodeActivated` | Boolean | Optional | Whether master node is enabled - `true` \| `false` - `true`: enabled - `false`: disabled | | `masterNodeSubnetNo` | Integer | Conditional | Manager node subnet number - See [Get subnet list](/docs/en/analytics-vpcsearchengine-cluster-getsubnetlist). - Required if `isMasterOnlyNodeActivated` is `true` | | `masterNodeCount` | Integer | Conditional | Number of master nodes - `3` (default) \| `5` - Required if `isMasterOnlyNodeActivated` is `true` | | `masterNodeProductCode` | String | Conditional | Master node server type code - See [Get server type](/docs/en/analytics-vpcsearchengine-cluster-getnodeproductlist). - Required if `isMasterOnlyNodeActivated` is `true` | | `dataNodeSubnetNo` | Integer | Required | Data node subnet number - See [Get subnet list](/docs/en/analytics-vpcsearchengine-cluster-getsubnetlist). | | `dataNodeCount` | Integer | Required | Number of data nodes - 3-10 (default: 3) | | `dataNodeProductCode` | String | Required | Data node server type code - See [Get server type](/docs/en/analytics-vpcsearchengine-cluster-getnodeproductlist). | | `dataNodeStorageSize` | Integer | Required | Data node storage capacity (GB) - 100-2000 (10 GB increment) - Only SSD is supported as storage type. | | `loginKeyName` | String | Required | Authentication key name - See [Get authentication key list](/docs/en/analytics-vpcsearchengine-cluster-getloginkeylist). - Required when accessing directly to the manager node via SSH method | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/createSearchEngineCluster' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "clusterName": "cluster006", "searchEngineVersionCode": "290", "searchEngineDashboardPort": "1025", "searchEngineUserName": "ncpadmin", "searchEngineUserPassword": "*********", "softwareProductCode": "SW.VELST.OS.LNX64.ROCKY.0808.B050", "vpcNo": 9****, "managerNodeSubnetNo": 20****, "managerNodeProductCode": "SVR.VELST.STAND.C002.M008.NET.SSD.B050.G002", "isMasterOnlyNodeActivated": true, "masterNodeSubnetNo": 20****, "masterNodeCount": 3, "masterNodeProductCode": "SVR.VELST.STAND.C002.M008.NET.SSD.B050.G002", "dataNodeSubnetNo": 20****, "dataNodeCount": 3, "dataNodeProductCode": "SVR.VELST.STAND.C002.M008.NET.SSD.B050.G002", "dataNodeStorageSize": 100, "loginKeyName": "loginkey01" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.serviceGroupInstanceNo` | Integer | - | Cluster instance number | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "serviceGroupInstanceNo": 1037***** }, "requestId": "1455f9ef-****-****-****-a7e80275e16b" } ```